This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 797788 - "volume statedump" doesn't support inodectx, fdctx, history types
"volume statedump" doesn't support inodectx, fdctx, history types
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Kaushal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-27 05:35 EST by Kaushal
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa45-1.el6.x86_64
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-02-27 05:35:02 EST
It should support them.
Comment 1 Anand Avati 2012-03-14 06:00:06 EDT
CHANGE: http://review.gluster.com/2914 (core, cli : Changes to statedump) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Gowrishankar Rajaiyan 2012-05-31 03:23:26 EDT
[root@dhcp201-221 ~]# gluster volume statedump test2 inodectx
Volume statedump successful
[root@dhcp201-221 ~]# gluster volume statedump test2 fdctx
Volume statedump successful
[root@dhcp201-221 ~]# gluster volume statedump test2 history
Volume statedump successful
[root@dhcp201-221 ~]# 

The statedump files are created on the brick servers in the /tmp directory

# ls -l /tmp/*.dump
-rw-------. 1 root root 52 May 31 05:50 /tmp/export-shanks-shanks2.5172.dump

Verified: glusterfs-3.3.0qa45-1.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.